Bug 175459 - net-mgmt/hastmon: update to 0.3.1
Summary: net-mgmt/hastmon: update to 0.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-20 18:50 UTC by Mikolaj Golub
Modified: 2013-02-02 07:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.28 KB, patch)
2013-01-20 18:50 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub 2013-01-20 18:50:00 UTC
Update to version 0.3.1;

  hastmon (0.3.1)
  
    * Import from HAST related improvements and bug fixes.
  
    * Add role_on_start option.
  
    * Makefile improvements suggested by Aleksey Cheusov.
  
    * Fix issue 1: the secondary did not failover when the primary
      lose network, due to timeout not being set on the secondary's heartbeat
      receive socket (reported and tested by laurencesgill).
  
    * Make compile with clang without warning.
  
    * Update FreeBSD rc.d script.
  
  -- Mikolaj Golub <to.my.trociny@gmail.com> 2013/01/20

Update port Makefile:

  - headers;
  - MAINTAINER email;
  - place LICENSE in right section.

Fix: Patch attached with submission follows:
Comment 1 dfilter service freebsd_committer 2013-02-02 07:00:48 UTC
Author: danfe
Date: Sat Feb  2 07:00:39 2013
New Revision: 311416
URL: http://svnweb.freebsd.org/changeset/ports/311416

Log:
  - Update to version 0.3.1
  - Cleanup Makefile a bit
  - Drop author attribution from pkg-descr while here
  
  PR:		ports/175459
  Submitted by:	trociny (maintainer)

Modified:
  head/net-mgmt/hastmon/Makefile
  head/net-mgmt/hastmon/distinfo
  head/net-mgmt/hastmon/pkg-descr

Modified: head/net-mgmt/hastmon/Makefile
==============================================================================
--- head/net-mgmt/hastmon/Makefile	Sat Feb  2 06:33:30 2013	(r311415)
+++ head/net-mgmt/hastmon/Makefile	Sat Feb  2 07:00:39 2013	(r311416)
@@ -1,22 +1,18 @@
-# New ports collection makefile for:	hastmon
-# Date created:				23 October 2010
-# Whom:					Mikolaj Golub <to.my.trociny@gmail.com>
-#
+# Created by: Mikolaj Golub <to.my.trociny@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	hastmon
-PORTVERSION=	0.3.0
+PORTVERSION=	0.3.1
 CATEGORIES=	net-mgmt
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+MASTER_SITES=	GOOGLE_CODE
 
-MAINTAINER=	to.my.trociny@gmail.com
+MAINTAINER=	trociny@FreeBSD.org
 COMMENT=	Cluster monitoring daemon
 
-BUILD_DEPENDS=	mk-configure>=0.20:${PORTSDIR}/devel/mk-configure
-
 LICENSE=	BSD
 
+BUILD_DEPENDS=	mk-configure>=0.20:${PORTSDIR}/devel/mk-configure
+
 MKCMAKE?=	${LOCALBASE}/bin/mkcmake
 INSTALL_TARGET=	installdirs install
 

Modified: head/net-mgmt/hastmon/distinfo
==============================================================================
--- head/net-mgmt/hastmon/distinfo	Sat Feb  2 06:33:30 2013	(r311415)
+++ head/net-mgmt/hastmon/distinfo	Sat Feb  2 07:00:39 2013	(r311416)
@@ -1,2 +1,2 @@
-SHA256 (hastmon-0.3.0.tar.gz) = 13e374f8cf269baaf0d7b9f3cc416113fcef833a7638d282e2e40d0f540de8f2
-SIZE (hastmon-0.3.0.tar.gz) = 73129
+SHA256 (hastmon-0.3.1.tar.gz) = 3409546144af04bfb20288ac551ece1080359d8bd4dda44aafbb424b4060f3ac
+SIZE (hastmon-0.3.1.tar.gz) = 78355

Modified: head/net-mgmt/hastmon/pkg-descr
==============================================================================
--- head/net-mgmt/hastmon/pkg-descr	Sat Feb  2 06:33:30 2013	(r311415)
+++ head/net-mgmt/hastmon/pkg-descr	Sat Feb  2 07:00:39 2013	(r311416)
@@ -4,5 +4,4 @@ cluster and each machine is one cluster 
 clusters that work in Primary-Secondary configuration, which means
 that only one of the cluster nodes can be active at any given time.
 
-Author: Mikolaj Golub <to.my.trociny@gmail.com>
 WWW: http://hastmon.googlecode.com/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Alexey Dokuchaev freebsd_committer 2013-02-02 07:03:38 UTC
State Changed
From-To: open->closed

Port was updated, thanks!